complexType "CalculationPeriodDates"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 11 elements
Defined: | globally in fpml-ird-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 11 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (effectiveDate? | relativeEffectiveDate?), (terminationDate? | relativeTerminationDate?), calculationPeriodDatesAdjustments?, firstPeriodStartDate?, firstRegularPeriodStartDate?, firstCompoundingPeriodEndDate?, lastRegularPeriodEndDate?, stubPeriodType?, calculationPeriodFrequency?
</...>

Content Model Elements (11):

  calculationPeriodDatesAdjustments (in calculationPeriodDates),
  calculationPeriodFrequency (in calculationPeriodDates),
  effectiveDate (in calculationPeriodDates),
  firstCompoundingPeriodEndDate,
  firstPeriodStartDate (in calculationPeriodDates),
  firstRegularPeriodStartDate,
  lastRegularPeriodEndDate,
  relativeEffectiveDate,
  relativeTerminationDate,
  stubPeriodType,
  terminationDate (in calculationPeriodDates)

All Direct / Indirect Based Elements (1):

  calculationPeriodDates

Known Usage Locations

- As direct type of elements (1):
  calculationPeriodDates

Annotation
A type defining the parameters used to generate the calculation period dates schedule, including the specification of any initial or final stub calculation periods. A calculation perod schedule consists of an optional initial stub calculation period, one or more regular calculation periods and an optional final stub calculation period. In the absence of any initial or final stub calculation periods, the regular part of the calculation period schedule is assumed to be between the effective date and the termination date. No implicit stubs are allowed, i.e. stubs must be explicitly specified using an appropriate combination of firstPeriodStateDate, firstRegularPeriodStartDate and lastRegularPeriodEndDate.
XML Source (w/o annotations (12); see within schema source)

<xsd:complexType name="CalculationPeriodDates"> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableDate"/> <xsd:element minOccurs="0" name="relativeEffectiveDate" type="AdjustedRelativeDateOffset"/> </xsd:choice> <xsd:choice> <xsd:element minOccurs="0" name="terminationDate" type="AdjustableDate"/> <xsd:element minOccurs="0" name="relativeTerminationDate" type="RelativeDateOffset"/> </xsd:choice> <xsd:element minOccurs="0" name="calculationPeriodDatesAdjustments" type="BusinessDayAdjustments"/> <xsd:element minOccurs="0" name="firstPeriodStartDate" type="AdjustableDate"/> <xsd:element minOccurs="0" name="firstRegularPeriodStartDate" type="xsd:date"/> <xsd:element minOccurs="0" name="firstCompoundingPeriodEndDate" type="xsd:date"/> <xsd:element minOccurs="0" name="lastRegularPeriodEndDate" type="xsd:date"/> <xsd:element minOccurs="0" name="stubPeriodType" type="StubPeriodTypeEnum"/> <xsd:element minOccurs="0" name="calculationPeriodFrequency" type="CalculationPeriodFrequency"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID" use="optional"/>

Content Element Detail (all declarations; defined within this component only; 11/11)
calculationPeriodDatesAdjustments

  Type: | BusinessDayAdjustments, complex content

  The business day convention to apply to each calculation period end date if it would otherwise fall on a day that is not a business day in the specified financial business centers.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationPeriodDatesAdjustments" type="BusinessDayAdjustments"/>

calculationPeriodFrequency

  Type: | CalculationPeriodFrequency, complex content

  The frequency at which calculation period end dates occur with the regular part of the calculation period schedule and their roll date convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationPeriodFrequency" type="CalculationPeriodFrequency"/>

effectiveDate

  Type: | AdjustableDate, complex content

  The first day of the term of the trade. This day may be subject to adjustment in accordance with a business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableDate"/>

firstCompoundingPeriodEndDate

  Type: | xsd:date, predefined, simple content

  The end date of the initial compounding period when compounding is applicable. It must only be specified when the compoundingMethod element is present and not equal to a value of None. This date may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="firstCompoundingPeriodEndDate" type="xsd:date"/>

firstPeriodStartDate

  Type: | AdjustableDate, complex content

  The start date of the calculation period if the date falls before the effective date. It must only be specified if it is not equal to the effective date. This date may be subject to adjustment in accordance with a business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="firstPeriodStartDate" type="AdjustableDate"/>

firstRegularPeriodStartDate

  Type: | xsd:date, predefined, simple content

  The start date of the regular part of the calculation period schedule. It must only be specified if there is an initial stub calculation period. This day may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="firstRegularPeriodStartDate" type="xsd:date"/>

lastRegularPeriodEndDate

  Type: | xsd:date, predefined, simple content

  The end date of the regular part of the calculation period schedule. It must only be specified if there is a final stub calculation period. This day may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="lastRegularPeriodEndDate" type="xsd:date"/>

relativeEffectiveDate

  Type: | AdjustedRelativeDateOffset, complex content

  Defines the effective date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="relativeEffectiveDate" type="AdjustedRelativeDateOffset"/>

relativeTerminationDate

  Type: | RelativeDateOffset, complex content

  The term/maturity of the swap, express as a tenor (typically in years).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="relativeTerminationDate" type="RelativeDateOffset"/>

stubPeriodType

  Type: | StubPeriodTypeEnum, simple content

  Method to allocate any irregular period remaining after regular periods have been allocated between the effective and termination date.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "ShortInitial" | - | If there is a non regular period remaining it is left shorter than the streams calculation period frequency and placed at the start of the stream See: http://www.FpML.org
  "ShortFinal" | - | If there is a non regular period remaining it is left shorter than the streams calculation period frequency and placed at the end of the stream See: http://www.FpML.org
  "LongInitial" | - | If there is a non regular period remaining it is placed at the start of the stream and combined with the adjacent calculation period to give a long first calculation period See: http://www.FpML.org
  "LongFinal" | - | If there is a non regular period remaining it is placed at the end of the stream and combined with the adjacent calculation period to give a long last calculation period See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="stubPeriodType" type="StubPeriodTypeEnum"/>

terminationDate

  Type: | AdjustableDate, complex content

  The last day of the term of the trade. This day may be subject to adjustment in accordance with a business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="terminationDate" type="AdjustableDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.